rte_flow_action_vf(3)

NAME
rte_flow_action_vf

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t original:1
uint32_t reserved:31
uint32_t id

Detailed Description

Deprecated

See also
    RTE_FLOW_ACTION_TYPE_PORT_REPRESENTOR

    RTE_FLOW_ACTION_TYPE_REPRESENTED_PORT

RTE_FLOW_ACTION_TYPE_VF

Directs matching traffic to a given virtual function of the current device.

Packets matched by a VF pattern item can be redirected to their original VF ID instead of the specified one. This parameter may not be available and is not guaranteed to work properly if the VF part is matched by a prior flow rule or if packets are not addressed to a VF in the first place.

Definition at line 3535 of file rte_flow.h.

Field Documentation

  uint32_t original
Use original VF ID if possible.

Definition at line 3536 of file rte_flow.h.

  uint32_t reserved
Reserved, must be zero.

Definition at line 3537 of file rte_flow.h.

  uint32_t id
VF ID.

Definition at line 3538 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.